%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %global python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}

Name:           qpid-tools
Version:        0.7.946106
Release:        12%{?dist}
Summary:        Management and diagnostic tools for Apache Qpid

Group:          Development/Python
License:        ASL 2.0
URL:            http://qpid.apache.org
Source0:        %{name}-%{version}.tar.gz
# svn export -r<rev> http://svn.apache.org/repos/asf/qpid/trunk/qpid/tools qpid-tools-0.7.<rev>
# tar czf qpid-tools-0.7.<rev>.tar.gz qpid-tools-0.7.<rev>
Patch0:         qpid-tool.patch
Patch1:         0002-Bug-547295-Fixed-qpid-stat-b-threading-exception-dur.patch
Patch2:         0003-Bug-547295-Fix-part-2-qpid-stat-b-threading-exceptio.patch
Patch3:         0004-Bug-611543-Assertion-when-raising-a-link-established.patch
Patch4:         0005-Bug-601895-qpid-tool-uses-QMFv1-format-for-method-ca.patch
Patch5:         0006-Bug-618418-qpid-tool-does-not-list-all-instances-of-.patch
Patch6:         0007-Bug-522039-python-qpid-CLI-tools-inconsistent-behavi.patch
Patch7:         0008-Bug-619502-qpid-stat-q-reports-a-given-queue-n-times.patch
Patch8:         0009-Bug-560696-Fix-to-qpid-route-qpid-route-route-del-fa.patch
Patch9:         0010-Bug-547295-qpid-stat-b-threading-exception-during-sh.patch
Patch10:        0011-Bug-629528-qpid-tool-object-refs-can-t-be-correlated.patch
Patch11:        0012-Bug-537481-qpid-stat-needs-option-to-link-sesion-to-.patch
Patch12:        0013-Bug-636434-Fixed-qpid-cluster-store-broken-due-to-UU.patch
Patch13:        0014-Bug-500430-Feature-Support-SASL-on-inter-broker-link.patch
Patch14:        0015-Bug-667423-show-command-in-qpid-tool-fails-when-used.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel

Requires:       python-qpid >= 0.7
Requires:       python-qmf >= %{version}-6

%description
Management and diagnostic tools for Apache Qpid brokers and clients.

%prep
%setup -q
%patch0 -p1
%patch1 -p3
%patch2 -p3
%patch3 -p3
%patch4 -p3
%patch5 -p3
%patch6 -p3
%patch7 -p3
%patch8 -p3
%patch9 -p3
%patch10 -p3
%patch11 -p3
%patch12 -p3
%patch13 -p3
%patch14 -p3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/qpid-cluster
%{_bindir}/qpid-cluster-store
%{_bindir}/qpid-config
%{_bindir}/qpid-printevents
%{_bindir}/qpid-queue-stats
%{_bindir}/qpid-route
%{_bindir}/qpid-stat
%{_bindir}/qpid-tool
%doc LICENSE.txt NOTICE.txt

%if "%{python_version}" >= "2.6"
%{python_sitelib}/qpid_tools-*.egg-info
%endif

%changelog
* Thu Jan 20 2011 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-12
- Resolves: bz500430, bz667423

* Wed Sep 22 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-11
- Resolves: bz537481, bz636434

* Fri Sep  3 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-10
- Resolves: bz629528

* Fri Aug 20 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-9
- Resolves: bz507586, bz547295

* Mon Aug  2 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-8
- Resolves: bz560696, bz522039, bz619502, bz618418

* Fri Jul  9 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-7
- Resolves: rhbz601895, rhbz611543

* Wed Jun 30 2010 Kenneth A. Giusti <kgiusti@redhat.com> - 0.7.946106-6
- Resolves: rhbz547295

* Fri May 21 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-3
- rhbz594537 - require same version of python-qmf
- Related: rhbz574881

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-2
- Patch to qpid-tool
- Related: rhbz574881

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-1
- Rebased to svn rev 946106
- Related: rhbz574881

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-2
- Added qpid-cluster-store.

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-1
- Rebased to svn rev 934605.

* Thu Apr  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.930108-1
- Rebased to svn rev 930108.

* Wed Mar  3 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-4
- Changed defines to globals and moved to top.
- Fixed typo in description.
- Removed unnecessary python Requires/BuildRequires.

* Tue Mar  2 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-3
- Added correct version to python-qpid dependency.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-2
- Conditionalize egg-info based on python version.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917557-1
- Initial build.
